Subject: Downstream label in ERO

From: Khuzema Pithewan <[email-masked]>
Date: Thu, 19 Sep 2002 02:28:04 -0500

Hi,

draft-ietf-mpls-generalized-rsvp-te-08 , While talking about Explicit Label
control in ERO, it says..

"If the U-bit of the subobject being examined is set (1), then value
   of the label is label to be used for upstream traffic associated with
   the bidirectional LSP.  If this label is not acceptable, a "Bad
   EXPLICIT_ROUTE object" error SHOULD be generated."

and 

"If the U-bit of the subobject being examined is clear (0), then value of
the label is copied into a new Label_Set object."

what if the downstream label in sub-object (with U-Bit cleared, getting
copied in Label_Set ) is not acceptable? 
Do we need to generate "BAD EXPLICIT_ROUTE object" error for that also?

Regards,
Khuzema.